PHP 7/6/5の脆弱性修正版登場

PHP: Hypertext Preprocessor

PHPデベロップメントチームは1月7日(米国時間)、「PHP: Hypertext Preprocessor」において、複数の脆弱性を修正したとして、サポートしているバージョンのそれぞれの最新版を公開した。それぞれ次のバージョンが公開されている。

PHP 5系は脆弱性が主な修正対象となるが、PHP 7系に関しては報告されたほかのバグも修正されている。PHPデベロップメントチームはすべてのユーザーに対してそれぞれ最新版へのアップグレードを推奨している。

2015年末、PHPデベロップメントチームはPHPの次世代バージョンとなるPHP 7系をリリースした。PHP 7系はさまざまな新機能が導入されたことに加え、実行速度の高速化と最大メモリ使用量の削減が実現されており、性能面で魅力的なバージョンに仕上がっている。ここ数年、複数のランキングサイトはPHPへの関心度の低下を指摘しているが、PHP 7の登場が再度PHPへの感心を引き上げることになるのではないかとコメントしている。



人気記事

一覧

イチオシ記事

新着記事